
/**********************************************************
 * the following used by Cohen-Sutherland
 * clipping (which we don't use right now)
#define LEFT_PLANE              1
#define RIGHT_PLANE             (1<<1)
#define BOTTOM_PLANE    (1<<2)
#define TOP_PLANE               (1<<3)
#define FRONT_PLANE             (1<<4)
#define BACK_PLANE              (1<<5)
#define ALL_PLANE               (LEFT_PLANE+RIGHT_PLANE+BOTTOM_PLANE+\
                                                TOP_PLANE+FRONT_PLANE+BACK_PLANE)
extern void set_clip_planes();
************************************************************/

extern void     init_orientation();
extern void     eval_orientation();
extern void     eval_mapping();
extern void     eval_viewport();

extern short    pipe_vector();
extern short    pipe_line();
extern short    pipe_point();
